Bug 56419 - JMeter silently fails to save results
Summary: JMeter silently fails to save results
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.11
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-17 00:11 UTC by higuita
Modified: 2014-11-05 11:18 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description higuita 2014-04-17 00:11:25 UTC
I have done several tests and "saved" the results... sadly the save directory had the wrong permissions and the save failed. The problem is that jmeter returns no feedback that the save failed. When one see no error, assume that the write was successful. Closing jmeter and trying to check the results i found that i didn't really saved anything and having closed jmeter, i lost all the test results.

checking the console i could see this error: 

2014/04/15 22:07:05 WARN  - jmeter.visualizers.StatVisualizer: /home/higuita/StressTests/kaltura/kaltura_stresstest_100MbLimit.csv (Permission denied) 

So jmeter do warns the user, but in a way that the user will not see. jmeter needs to popup a warning when save fails and not be silent and only warn in the background.
Comment 1 Philippe Mouawad 2014-05-26 20:31:54 UTC
In GUI mode, jmeter shows in upper right zone a number of errors/warnings.
Poping up an error would work in GUI mode but is not an option for NON GUI mode.
Comment 2 Sebb 2014-05-27 00:32:10 UTC
Thanks for the report.

Agreed - JMeter could do better when it fails to save files from the GUI.
The same issue affects various other elements such as Cookie Manager.

URL: http://svn.apache.org/r1597678
Log:
Jmeter silently fails to save results
Bugzilla Id: 56419

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HeaderPanel.java
    jmeter/trunk/xdocs/changes.xml